include ../../layout/components/inputErrors

.modal-header(ng-init="$ctrl.init()")

	button.close(type='button', ng-click="$ctrl.fechar()")
		span(aria-hidden='true') ×
		span.sr-only Fechar

	h4.modal-title(ng-if="!$ctrl.resolve.isSuspensao && !$ctrl.resolve.isCancelamento") Visualizar Licença
	h4.modal-title(ng-if="$ctrl.resolve.isSuspensao") Suspensão da licença
	h4.modal-title(ng-if="$ctrl.resolve.isCancelamento") Cancelamento de licença

.modal-body

	div(growl inline="true", reference="4")

	div(ng-if="!$ctrl.resolve.isSuspensao && !$ctrl.resolve.isCancelamento")
		label {{$ctrl.resolve.dadosLicenca.caracterizacao.tipoLicenca.nome}} ({{$ctrl.resolve.dadosLicenca.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.nome}} - {{$ctrl.resolve.dadosLicenca.caracterizacao.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome}})

		br

		br

	div.info-licenca-processo(ng-if="$ctrl.resolve.isSuspensao || $ctrl.resolve.isCancelamento")
		blockquote
			h5(style="padding-left:5px; padding-top:0px; margin-bottom:10px;") Informações da Licença:
			div(ng-if="$ctrl.resolve.dadosLicenca.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento !== null")
				strong.col-md-2 Tipo de licença:
				label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.caracterizacao.tipoLicenca.nome}} ({{$ctrl.resolve.dadosLicenca.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.nome}} - {{$ctrl.resolve.dadosLicenca.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome}})
			
			div(ng-if="$ctrl.resolve.dadosLicenca.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento === null") 
				strong.col-md-2 Tipo de licença:
				label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.caracterizacao.tipoLicenca.nome}} ({{$ctrl.resolve.dadosLicenca.caracterizacao.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome}})
			div
				strong.col-md-2(style="padding-right:0px;") Data de emissão:
				label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.dataCadastro}}
			div(ng-if="$ctrl.parecerTecnico.tipoResultadoAnalise.id === $ctrl.tiposResultadoAnalise.DEFERIDO && $ctrl.parecerTecnico.validadePermitida !== null")
				strong.col-md-2 Validade: 
				label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.parecerTecnico.validadePermitida}} ano(s)
		br
		blockquote
			h5(style="padding-left:5px; padding-top:0px; margin-bottom:10px;") Informações do Protocolo:
			div
				strong.col-md-2 Número:
				span#texto_numero_processo
					label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.caracterizacao.numero ? $ctrl.resolve.dadosLicenca.caracterizacao.numero : '-'}}
			div
				strong.col-md-2 CPF/CNPJ:
				span#texto_numero_processo
					label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.caracterizacao.empreendimento.cpfCnpj | brCpfCnpj}}
			div
				strong.col-md-2 Empreendimento:
				span#texto_numero_processo
					label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.caracterizacao.empreendimento.denominacao}}
			div
				strong.col-md-2 Município:
				span#texto_numero_processo
					label.not-bold.margin-right-xs(style="margin-left:15px;") {{$ctrl.resolve.dadosLicenca.caracterizacao.empreendimento.municipio.nome + '/' + $ctrl.resolve.dadosLicenca.caracterizacao.empreendimento.municipio.estado.codigo}}

	br
	br
	.form-group(ng-if="!$ctrl.resolve.isSuspensao && !$ctrl.resolve.isCancelamento")
		label.margin-right-xs(for="selectValidade") Validade: 
		label {{$ctrl.resolve.dadosLicenca.validade ? $ctrl.resolve.dadosLicenca.validade : $ctrl.dateUtil.calcularPrazoEmAnos($ctrl.resolve.dadosLicenca.dataCadastro,$ctrl.resolve.dadosLicenca.dataValidade)}} ano(s)
		br
		br

	div(ng-if="$ctrl.parecerTecnico.tipoResultadoAnalise.id === $ctrl.tiposResultadoAnalise.DEFERIDO")
		label.margin-right-xs Finalidade da atividade:
		form
			.form-group
				p(rows="4", ng-bind-html="$ctrl.parecerTecnico.finalidadeAtividade", name="finalidadeAtividade", disabled)
		hr

		label.margin-right-xs Condicionantes:
		div.tabela(ng-if="$ctrl.parecerTecnico.condicionantes.length > 0 ")

			table.table.table-striped.table-condensed.no-margin
				thead
					tr
						th.col-md-10 Condicionante
						th.col-md-2.text-right Prazo(dias)

				tbody
					tr(ng-repeat="condicionante in $ctrl.parecerTecnico.condicionantes")
						td
							span {{condicionante.texto}}
						td.text-right
							span {{condicionante.prazo || "-"}}


		.text-center.vazio(ng-if="$ctrl.parecerTecnico.condicionantes.length == 0 || !$ctrl.parecerTecnico.condicionantes")
			span Nenhuma condicionante adicionada

		label.margin-right-xs Recomendações:
		div.tabela(ng-if="$ctrl.parecerTecnico.restricoes.length > 0 ")

			table.table.table-striped.table-condensed.no-margin
				thead
					tr
						th.col-md-12 Recomendação

				tbody
					tr(ng-repeat="restricao in $ctrl.parecerTecnico.restricoes")
						td
							span {{restricao.texto}}

		.text-center.vazio(ng-if="$ctrl.parecerTecnico.restricoes.length == 0 || !$ctrl.parecerTecnico.restricoes")
			span Nenhuma recomendação adicionada
	hr
	div(ng-if="$ctrl.parecerTecnico.tipoResultadoAnalise.id === $ctrl.tiposResultadoAnalise.INDEFERIDO")
		.text-center.vazio
			p.empty-result O processo foi INDEFERIDO, portanto não possui condicionantes e/ou recomendações.
		br
		br

	div(ng-if="$ctrl.resolve.isSuspensao")
		label.margin-right-xs.obrigatorio Justificativa da suspensão da licença:

		.row
			form(name="$ctrl.formSuspensaoLicenca")
				div.col-md-10.form-group
					textarea.textarea--no-resize.form-control(rows="4", ng-model="$ctrl.justificativa", name="justificativa", required)

				div.col-md-2.form-group

					label.posicionamento-suspensao-licenca.obrigatorio Prazo de suspensão da licença

					div.col-sm-6.posicionamento-suspensao-licenca
						input.input-dias.form-control(id="qtdeDiasSuspensao",type="number", name="qtdeDiasSuspensao",
							ng-model="$ctrl.qtdeDiasSuspensao", max="1900", min="1", required)
					div.no-margin-dias.col-sm-6
						span dias
					+inputErrors('formSuspensaoLicenca', 'qtdeDiasSuspensao', 'required', 'max', 'min')

	div(ng-if="$ctrl.resolve.isCancelamento")
		form(name="$ctrl.formCancelamentoLicenca")
			label.margin-right-xs.obrigatorio Justificativa do cancelamento da licença: 
			textarea.textarea--no-resize.form-control(rows="4", ng-model="$ctrl.justificativaCancelamento", name="justificativaCancelamento", required)

.modal-footer#footer-modal

	button.btn.btn-default.pull-left(ng-click="$ctrl.fechar()")
		i.glyphicon.glyphicon-arrow-left
		| &nbsp;Fechar

	div(ng-if="$ctrl.resolve.isSuspensao")
		form(name="formSuspensaoLicenca")
			button.btn.btn-success.btn-cancelar-suspender-licenca(ng-click="$ctrl.suspenderLicenca()", type="submit")
				i.glyphicon.glyphicon-ok
				| &nbsp;Confirmar suspensão da Licença

	div(ng-if="$ctrl.resolve.isCancelamento")
		form(name="formCancelamentoLicenca")
			button.btn.btn-success.btn-cancelar-suspender-licenca(ng-click="$ctrl.cancelarLicenca()", type="submit")
				i.glyphicon.glyphicon-ok
				| &nbsp;Confirmar cancelamento da licença
